### Class

# Gtk BinLayout

#### Description [src]

    final class Gtk.BinLayout : Gtk.LayoutManager
    {
      /* No available fields */
    }

A layout manager for widgets with a single child.

`GtkBinLayout` will stack each child of a widget on top of each other, using the `GtkWidget:hexpand`, `GtkWidget:vexpand`, `GtkWidget:halign`, and `GtkWidget:valign` properties of each child to determine where they should be positioned.

#### Ancestors

- GtkLayoutManager
- GObject

#### Constructors

###### gtk_bin_layout_new

Creates a new `GtkBinLayout` instance.

#### Instance methods

##### Methods inherited from GtkLayoutManager (6)

###### gtk_layout_manager_allocate

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

###### gtk_layout_manager_get_layout_child

Retrieves a `GtkLayoutChild` instance for the `GtkLayoutManager`, creating one if necessary.

###### gtk_layout_manager_get_request_mode

Retrieves the request mode of `manager`.

###### gtk_layout_manager_get_widget

Retrieves the `GtkWidget` using the given `GtkLayoutManager`.

###### gtk_layout_manager_layout_changed

Queues a resize on the `GtkWidget` using `manager`, if any.

###### gtk_layout_manager_measure

Measures the size of the `widget` using `manager`, for the given `orientation` and size.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkBinLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkLayoutManagerClass`

  No description available.